> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Skill



## OpenAPI

````yaml /openapi.json post /admin/api/assistant/skills
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/assistant/skills:
    post:
      tags:
        - Assistant Admin
      summary: Create Skill
      operationId: AssistantAdminController_createSkill
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAssistantSkillAdminDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateAssistantSkillAdminDto:
      type: object
      properties:
        slug:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
        name:
          type: string
          minLength: 1
          maxLength: 255
        description:
          type: string
          maxLength: 2000
        body:
          type: string
          minLength: 1
          maxLength: 100000
        enabled:
          type: boolean
      required:
        - slug
        - name
        - description
        - body
        - enabled
      additionalProperties: false

````